PasswordRecipientInformation (Bouncy Castle Library 1.52 API Specification)
Date: 2015-03-01

org.bouncycastle.cms

## Class PasswordRecipientInformation

- java.lang.Object
- - org.bouncycastle.cms.RecipientInformation
  - - org.bouncycastle.cms.PasswordRecipientInformation

-     public class PasswordRecipientInformation
      extends RecipientInformation

  the RecipientInfo class for a recipient who has been sent a message encrypted using a password.

- - ### Field Summary

    - ### Fields inherited from class org.bouncycastle.cms.RecipientInformation

      `keyEncAlg, messageAlgorithm, rid, secureReadable`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getKeyDerivationAlgOID()` return the object identifier for the key derivation algorithm, or null if there is none present.
    `org.bouncycastle.asn1.x509.AlgorithmIdentifier` | `getKeyDerivationAlgorithm()` Return the key derivation algorithm details for the key in this recipient.
    `byte[]` | `getKeyDerivationAlgParams()` return the ASN.1 encoded key derivation algorithm parameters, or null if there aren't any.
    `protected RecipientOperator` | `getRecipientOperator(Recipient recipient)`

    - ### Methods inherited from class org.bouncycastle.cms.RecipientInformation

      `getContent, getContentDigest, getContentStream, getKeyEncryptionAlgOID, getKeyEncryptionAlgorithm, getKeyEncryptionAlgParams, getMac, getRID`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### getKeyDerivationAlgOID

          public java.lang.String getKeyDerivationAlgOID()

      return the object identifier for the key derivation algorithm, or null if there is none present.
      Returns:
        OID for key derivation algorithm, if present.

    - #### getKeyDerivationAlgParams

          public byte[] getKeyDerivationAlgParams()

      return the ASN.1 encoded key derivation algorithm parameters, or null if there aren't any.
      Returns:
        ASN.1 encoding of key derivation algorithm parameters.

    - #### getKeyDerivationAlgorithm

          public org.bouncycastle.asn1.x509.AlgorithmIdentifier getKeyDerivationAlgorithm()

      Return the key derivation algorithm details for the key in this recipient.
      Returns:
        AlgorithmIdentifier representing the key derivation algorithm.

    - #### getRecipientOperator

          protected RecipientOperator getRecipientOperator(Recipient recipient)
                                                    throws CMSException,
                                                           java.io.IOException

      Specified by:
        `getRecipientOperator` in class `RecipientInformation`
      Throws:
        `CMSException`
        `java.io.IOException`